#include "app_args.h"
#include <stdlib.h>
#include <string.h>

struct app_args* app_args_new( int argc, char** argv )
{
	struct app_args* args = (struct app_args*)malloc( sizeof(struct app_args) );

	args->port = 9053;
	args->addr = strdup("0.0.0.0");

	return args;
}

void app_args_release( struct app_args* args )
{
	free(args->addr);
	free(args);
}

