#include "tag.h"

#include "json/layout.h"

#include <stdlib.h>
#include <string.h>
#include <stddef.h>

static struct json_enum ap_activity_tag_enum[] = {
	{ "Mention", aptag_mention },
	{ NULL, 0 },
};

#define OBJ_TYPE struct ap_activity_tag
static struct json_object_field ap_activity_tag_layout[] = {
	JSON_FIELD_ENUM( type, ap_activity_tag_enum, true ),
	JSON_FIELD_STRING( href, false ),
	JSON_FIELD_STRING( name, false ),
	JSON_FIELD_END,
};
#undef OBJ_TYPE

void ap_activity_tag_free( struct ap_activity_tag* tag )
{
	if( !tag ) { return; }

	free(tag->href);
	free(tag->name);
	memset(tag,0,sizeof(*tag));
	free(tag);
}

JSON_FIELD_TYPE_OBJECT_LAYOUT_WITH_DEFAULTS( ap_activity_tag );

