#pragma once

struct status;

struct timeline_block_ref
{
	int starting_offset;
	int block_id;
};

struct timeline
{
	int id;
	unsigned int block;
	unsigned int head;

	struct {
		int* items;
		int count;
	} status_ids;
};

struct timeline* timeline_from_id( int id );
struct timeline* timeline_new();
void timeline_free( struct timeline* tl );

int timeline_load_statuses( struct timeline* tl, int offset_from_head, int count, struct status** result );
void timeline_add_post( struct timeline* tl, struct status* s );

