#define _GNU_SOURCE
#include "format.h"

#include <stdarg.h>
#include <stdio.h>
#include <string.h>

const char* format( char* buffer, int size, const char* f, ... )
{
	va_list args;
	va_start(args,f);
		vsnprintf( buffer, size, f, args );
	va_end(args);

	return buffer;
}
char* aformat( const char* f, ... )
{
	va_list args;
	va_start(args,f);
	char* res = NULL;
		vasprintf( &res, f, args );
	va_end(args);

	return res;
}

char* safe_strdup( const char* str )
{
	if( !str ) { return NULL; }
	return strdup(str);
}

